%define mainver 2.27.1
%define rel 1
%define oname util-linux

%define release %mkrel %{rel}
%define tarname %{oname}-%{version}

%global __requires_exclude_from %{_docdir}

%define lib_blkid_major 1
%define lib_blkid %mklibname blkid %{lib_blkid_major}
%define lib_blkid_devel %mklibname blkid -d

%define lib_uuid_major 1
%define lib_uuid %mklibname uuid %{lib_uuid_major}
%define lib_uuid_devel %mklibname uuid -d

%define lib_ext2fs %mklibname ext2fs 2
%define lib_ext2fs_devel %mklibname ext2fs -d

%define lib_mount_major 1
%define lib_mount %mklibname mount %{lib_mount_major}
%define lib_mount_devel %mklibname mount -d

%define lib_smartcols_major 1
%define lib_smartcols %mklibname smartcols %{lib_smartcols_major}
%define lib_smartcols_devel %mklibname smartcols -d

%define lib_fdisk_major 1
%define lib_fdisk %mklibname fdisk %{lib_fdisk_major}
%define lib_fdisk_devel %mklibname fdisk -d

%define git_url git://git.kernel.org/pub/scm/utils/util-linux/util-linux.git

%define build_bootstrap 0

%if !%{build_bootstrap}
%bcond_with	uclibc
%endif

### Header
Summary:	A collection of basic system utilities
Name:		util-linux-ng
Version:	%{mainver}
Release:	%{release}
License:        GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+ and BSD with advertising and Public Domain
Group:		System/Base
URL:		ftp://ftp.kernel.org/pub/linux/utils/util-linux/v%{mainver}/%{oname}-%{version}.tar.xz

### Features
%define include_raw 1
### Macros
%define no_hwclock_archs s390 s390x

### Dependences
BuildRequires:	gcc
BuildRequires:	sed
%if !%{build_bootstrap}
BuildRequires:	e2fsprogs-devel
%endif
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	ncurses-devel
BuildRequires:	ncursesw-devel
BuildRequires:	termcap-devel
BuildRequires:	texinfo
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRequires:	libaudit-devel
BuildRequires:	%{_lib}libcap-ng-devel
BuildRequires:	%{_lib}python-devel
%if %{with uclibc}
BuildRequires:	uClibc-devel
%endif
BuildRequires:	libtool

### Sources
Source0:	ftp://ftp.kernel.org/pub/linux/utils/%name/v%mainver/%{tarname}.tar.xz
# based on Fedora pam files, with pam_selinux stripped out
Source1:	util-linux-login.pamd
Source2:	util-linux-remote.pamd
Source3:	util-linux-chsh-chfn.pamd
Source4:	util-linux-60-raw.rules
Source7:	util-linux-runuser.pamd
Source8:	util-linux-runuser-l.pamd
Source10:	uuidd.init

Provides:	util-linux = %{version}-%{release}
Provides:	util-linux-ng = %{version}-%{release}
Provides:	eject = %{version}-%{release}
Provides:	mount = %{version}-%{release}
Provides:	losetup = %{version}-%{release}
Provides:	fdisk = %{version}-%{release}
Provides:	tunelp = %{version}-%{release}
Provides:	schedutils = %{version}-%{release}
Provides:	linux32 = %{version}-%{release}
Provides:	sparc32 = %{version}-%{release}
Provides:	setarch = %{version}-%{release}
Requires(pre):	filesystem
Requires(preun): info-install
Requires(post):	info-install
Requires(pre):	mktemp
# for /bin/awk
Requires(pre):	gawk
# for /usr/bin/cmp
Requires(pre):	diffutils
Requires(pre):	coreutils
Requires:	pam
Requires:	shadow-utils
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_mount} = %{version}-%{release}
Requires:	%{lib_uuid} = %{version}-%{release}
Requires:	%{lib_smartcols} = %{version}-%{release}
Requires:	%{lib_fdisk} = %{version}-%{release}

Requires:	%{_lib}iso9660_7

%if %{include_raw}
Requires:	udev
%endif

Patch1:		util-linux-2.23.1-mount-managed.patch
Patch3:		util-linux-ng-2.20.1-fdformat-man-ide.patch
Patch5:		util-linux-ng-2.21-login-lastlog.patch
Patch11:	util-linux-ng-2.16-blkid-cachefile.patch
Patch111:	util-linux-2.11t-mkfsman.patch
Patch114:	util-linux-2.22-dumboctal.patch
Patch115:	util-linux-2.22-fix-ioctl.patch
Patch116:	util-linux-libmount-2.27-train-rootfs.patch

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux contains the fdisk configuration tool and the login
program.

%package -n	%{lib_blkid}
Summary:	Block device ID library
Group:		System/Libraries
License:	LGPLv2+
Requires(pre):	filesystem

%description -n	%{lib_blkid}
This is block device identification library, part of util-linux.

%package -n	%{lib_blkid_devel}
Summary:	Block device ID library
Group:		Development/Libraries
License:	LGPLv2+
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_uuid_devel} = %{version}
Provides:	libblkid-devel = %{version}-%{release}

%description -n	%{lib_blkid_devel}
This is the block device identification development library and headers,
part of util-linux.

%package -n	%{lib_uuid}
Summary:	Universally unique ID library
Group:		System/Libraries
License:	BSD
Requires(pre):	filesystem

%description -n	%{lib_uuid}
This is the universally unique ID library, part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	%{lib_uuid_devel}
Summary:	Universally unique ID library
Group:		Development/Libraries
License:	BSD
Requires:	%{lib_uuid} = %{version}
Provides:	libuuid-devel = %{version}-%{release}
Provides:	uuid-devel = %{version}-%{release}
Conflicts:	ossp_uuid-devel

%description -n	%{lib_uuid_devel}
This is the universally unique ID development library and headers,
part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	uuidd
Summary:	Helper daemon to guarantee uniqueness of time-based UUIDs
Group:		System/Servers
License:	GPLv2
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper
Requires(pre):	shadow-utils

%description -n	uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%package -n	python-libmount
Summary:	Python bindings for the libmount library
Group:		Development/Python

%description -n	python-libmount
The python-libmount package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libmount library to work with mount tables (fstab,
mountinfo, etc) and mount filesystems.

%package -n	%{lib_mount}
Summary:	Universal mount library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem

%description -n	%{lib_mount}
The libmount library is used to parse /etc/fstab,
/etc/mtab and /proc/self/mountinfo files,
manage the mtab file, evaluate mount options, etc.

%package -n	%{lib_mount_devel}
Summary:	Universally mount library
Group:		Development/Libraries
License:	LGPL2+
Requires:	%{lib_mount} = %{version}-%{release}
Provides:	libmount-devel = %{version}-%{release}

%description -n	%{lib_mount_devel}
Development files and headers for libmount library.

%package -n	%{lib_smartcols}
Summary:	Formatting library for ls-like programs
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem

%description -n	%{lib_smartcols}
The libsmartcols library is used to format output,
for ls-like terminal programs.

%package -n	%{lib_smartcols_devel}
Summary:	Formatting library for ls-like programs
Group:		Development/Libraries
License:	LGPL2+
Requires:	%{lib_smartcols} = %{version}-%{release}
Provides:	libsmartcols-devel = %{version}-%{release}

%description -n	%{lib_smartcols_devel}
Development files and headers for libsmartcols library.

%package -n	%{lib_fdisk}
Summary:	fdisk library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem

%description -n	%{lib_fdisk}
The fdisk library.

%package -n	%{lib_fdisk_devel}
Summary:	fdiskt development library
Group:		Development/Libraries
License:	LGPL2+
Requires:	%{lib_fdisk} = %{version}-%{release}
Provides:	libfdisk-devel = %{version}-%{release}

%description -n	%{lib_fdisk_devel}
Development files and headers for fdisk library.


%prep
%setup -qn %oname-%version

%patch1 -p1
%patch3 -p1
%patch5 -p1

%patch111 -p1 -b .mkfsman
%patch114 -p0 -b .dumboctal
%patch115 -p1 -b .fix-ioctl
%patch116 -p1 -b .rootfs

# rebuild build system for patches
./autogen.sh

%build

export LDFLAGS="$LDFLAGS -ltinfo"

%serverbuild
unset LINGUAS || :

# CFLAGS
%define make_cflags -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

export CONFIGURE_TOP="`pwd`"

%if %{with uclibc}
mkdir -p uclibc
pushd uclibc
%configure2_5x	CC="%{uclibc_cc}" \
		CFLAGS="%{uclibc_cflags} %{make_cflags}" \
		--enable-shared=no \
		--enable-static=yes \
		--enable-chfn-chsh \
		--without-ncurses

%make -C libblkid
popd
%endif

mkdir -p system
pushd  system
export CFLAGS="%{make_cflags} %{optflags} -Os"
%configure2_5x \
	--bindir=/bin \
	--sbindir=/sbin \
	--libdir=/%{_lib} \
	--enable-partx \
	--enable-login-utils \
	--enable-kill \
	--enable-write \
	--enable-arch \
	%if %{include_raw}
	--enable-raw \
%endif
	--disable-makeinstall-chown \
	--disable-rpath \
	--with-audit \
	--enable-chfn-chsh \
	--enable-tunelp

# build util-linux
%make

popd

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_mandir}/man{1,6,8,5}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,security/console.apps,blkid}

%if %{with uclibc}
for lib in `find uclibc -name libblkid.a -o -name libuuid.a`; do
	install -m644 $lib -D %{buildroot}%{uclibc_root}%{_libdir}/$(basename $lib)
done
%endif

# install util-linux
%makeinstall_std -C system install DESTDIR=%{buildroot} MANDIR=%{buildroot}/%{_mandir} INFODIR=%{buildroot}/%{_infodir}

%if %{include_raw}
# see RH bugzilla #216664
echo '.so man8/raw.8' > %{buildroot}%{_mandir}/man8/rawdevices.8
{
  mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
  pushd %{buildroot}%{_sysconfdir}/udev/rules.d
  install -m 644 %{SOURCE4} ./60-raw.rules
  popd
}
%endif

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' %{buildroot}%{_mandir}/man1/login.1


# PAM settings
{
  pushd %{buildroot}%{_sysconfdir}/pam.d
  install -m 644 %{SOURCE1} ./login
  install -m 644 %{SOURCE2} ./remote
  install -m 644 %{SOURCE3} ./chsh
  install -m 644 %{SOURCE3} ./chfn
  install -m 644 %{SOURCE7} ./runuser
  install -m 644 %{SOURCE8} ./runuser-l
  popd
}

ln -sf ../../sbin/hwclock %{buildroot}/usr/sbin/hwclock
ln -sf ../../sbin/clock %{buildroot}/usr/sbin/clock
ln -sf hwclock %{buildroot}/sbin/clock


# And a dirs uuidd needs that the makefiles don't create
install -D -m 755 %{SOURCE10} %{buildroot}/etc/rc.d/init.d/uuidd
install -d %{buildroot}/var/run/uuidd
install -d %{buildroot}/var/lib/libuuid
install -d %{buildroot}/var/uuidd

# remove libtool archives
rm -f %{buildroot}%{_libdir}/libuuid.la
rm -f %{buildroot}%{_libdir}/libblkid.la
rm -f %{buildroot}%{_libdir}/libmount.la
rm -f %{buildroot}%{_libdir}/libsmartcols.la
rm -f %{buildroot}%{_libdir}/libfdisk.la

#drop this for now
rm -f %{buildroot}%{_libdir}/libfdisk.a

# remove stuff we don't want
rm -f %{buildroot}%{_mandir}/man1/{line,newgrp,pg}.1*
rm -f %{buildroot}%{_bindir}/{line,newgrp,pg,sunhostid}

# remove static libs
rm -f %{buildroot}%{_libdir}/lib{uuid,blkid,mount,smartcols}.a

# Final cleanup
%ifarch %no_hwclock_archs
rm -f %{buildroot}%{_sbindir}/{hwclock,clock} %{buildroot}%{_mandir}/man8/hwclock.8*
%endif

#dump this
rm -f %{buildroot}/usr/share/doc/util-linux/getopt/getopt-parse.bash
rm -f %{buildroot}/usr/share/doc/util-linux/getopt/getopt-parse.tcsh
   
# deprecated commands
for I in /sbin/mkfs.bfs \
	%{_bindir}/chkdupexe \
	%{_bindir}/scriptreplay
	do
	rm -f %{buildroot}$I
done

# deprecated man pages
for I in man1/chkdupexe.1 \
	man8/mkfs.bfs.8 man1/scriptreplay.1; do
	rm -rf %{buildroot}%{_mandir}/${I}*
done

for I in addpart delpart partx; do
	if [ -e %{buildroot}/usr/sbin/$I ]; then
		mv %{buildroot}/usr/sbin/$I %{buildroot}/sbin/$I
	fi
done


for I in taskset; do
	if [ -e %{buildroot}/usr/bin/$I ]; then
		mv %{buildroot}/usr/bin/$I %{buildroot}/bin/$I
	fi
done


for I in raw; do
	if [ -e %{buildroot}/sbin/$I ]; then
		mv %{buildroot}/sbin/$I %{buildroot}/bin/$I
	fi
done

#compatible with previous version of util-linux
mv %{buildroot}/usr/bin/ionice %{buildroot}/bin/ionice

#ppc not needed
rm -f %{buildroot}%{_sbindir}/{clock-ppc,clock-rs6k}

#These files in sysvinit-tools
rm -f %{buildroot}%{_bindir}/utmpdump
rm -f %{buildroot}/bin/mountpoint
rm -f %{buildroot}/sbin/sulogin

rm -f %{buildroot}/usr/bin/last
rm -f %{buildroot}/usr/bin/mesg
rm -f %{buildroot}/usr/bin/wall



# remove vipw and vigr, they belong in shadow-utils
rm -f %{buildroot}%{_sbindir}/{vipw,vigr} %{buildroot}%{_mandir}/man8/{vigr,vipw}.*

%find_lang util-linux

# the files section supports only one -f option...
mv util-linux.lang util-linux.files

# create list of setarch(8) symlinks
find  %{buildroot}%{_bindir}/ -regextype posix-egrep -type l \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)$" \
	-printf "%{_bindir}/%f\n" >> util-linux.files

find  %{buildroot}%{_mandir}/man8 -regextype posix-egrep  \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)\.8.*" \
	-printf "%{_mandir}/man8/%f*\n" >> util-linux.files


%post -n %{lib_blkid}
[ -e /etc/blkid.tab ] && mv /etc/blkid.tab /etc/blkid/blkid.tab || :
[ -e /etc/blkid.tab.old ] && mv /etc/blkid.tab.old /etc/blkid/blkid.tab.old || :

%pre -n uuidd
%_pre_useradd uuidd /var/lib/libuuid /bin/false
%_pre_groupadd uuidd uuidd

%post -n uuidd
%_post_service uuidd

%preun -n uuidd
%_preun_service uuidd

%postun -n uuidd
%_postun_userdel uuidd

%files -f util-linux.files
/bin/dmesg
/bin/findmnt
/bin/ionice
/bin/kill
%attr(755,root,root)	/bin/login
/bin/lsblk
/bin/more
%attr(4755,root,root)	/bin/mount
%attr(4755,root,root)	/bin/umount
%attr(4755,root,root)	/bin/su
/bin/taskset
/bin/wdctl

%{_bindir}/lastb
%{_bindir}/nsenter
%{_bindir}/setpriv



%if %{include_raw}
/bin/raw
%config %{_sysconfdir}/udev/rules.d/60-raw.rules
%endif
%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login
%config(noreplace) %{_sysconfdir}/pam.d/remote
%config(noreplace) %{_sysconfdir}/pam.d/runuser
%config(noreplace) %{_sysconfdir}/pam.d/runuser-l

/sbin/addpart
/sbin/agetty
/sbin/blkdiscard
/sbin/blkid
/sbin/blockdev
/sbin/cfdisk
/sbin/chcpu
/sbin/ctrlaltdel
/sbin/delpart
/sbin/fdisk
/sbin/findfs
/sbin/fsck
/sbin/fsck.cramfs
/sbin/fsck.minix
/sbin/fsfreeze
/sbin/fstrim
/sbin/hwclock
/sbin/losetup
/sbin/mkfs
/sbin/mkfs.cramfs
/sbin/mkfs.minix
/sbin/mkswap
/sbin/nologin
/sbin/partx
/sbin/pivot_root
/sbin/runuser
/sbin/sfdisk
/sbin/swaplabel
/sbin/swapon
/sbin/swapoff
/sbin/switch_root
/sbin/wipefs
/sbin/zramctl

%{_mandir}/man1/last.1*
%{_mandir}/man1/lastb.1*
%{_mandir}/man1/mesg.1*
%{_mandir}/man1/mountpoint.1*
%{_mandir}/man1/nsenter.1*
%{_mandir}/man1/setpriv.1*
%{_mandir}/man1/wall.1*
%{_mandir}/man8/agetty.8*
%{_mandir}/man8/addpart.8*
%{_mandir}/man8/delpart.8*
%{_mandir}/man8/findmnt.8*
%{_mandir}/man8/fsfreeze.8*
%{_mandir}/man8/fstrim.8*
%{_mandir}/man8/lsblk.8*
%{_mandir}/man8/partx.8*
%{_mandir}/man8/swaplabel.8*
%{_mandir}/man8/sfdisk.8*
%{_mandir}/man8/cfdisk.8*
%{_mandir}/man8/fdisk.8*
%{_mandir}/man8/zramctl.8*

#------------------
%ifnarch %no_hwclock_archs
/sbin/clock
%{_sbindir}/clock
/usr/sbin/hwclock
%{_mandir}/man8/hwclock.8*
%endif
#------------------------
%{_mandir}/man8/nologin.8*
%{_bindir}/chrt
%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%{_bindir}/prlimit
%{_bindir}/eject
%{_sbindir}/fdformat
%{_bindir}/flock
%{_bindir}/fallocate
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/lslocks
%{_bindir}/lslogins
%{_bindir}/mcookie
%{_bindir}/lsipc

%{_mandir}/man8/fsck.cramfs.8*
%{_mandir}/man8/mkfs.cramfs.8*

%{_bindir}/namei
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/setarch
%{_bindir}/setsid
%{_bindir}/setterm
%{_bindir}/tailf
%{_bindir}/ul
%{_bindir}/unshare
%{_bindir}/uuidgen
%{_bindir}/whereis
%{_bindir}/ipcmk
%{_bindir}/lscpu
%attr(2755,root,tty)	%{_bindir}/write

%{_sbindir}/readprofile
%{_sbindir}/tunelp
%{_sbindir}/rtcwake
%{_sbindir}/ldattach
%{_sbindir}/resizepart
%{_mandir}/man1/cal.1*
%{_mandir}/man1/chfn.1*
%{_mandir}/man1/chsh.1*
%{_mandir}/man1/col.1*
%{_mandir}/man1/colcrt.1*
%{_mandir}/man1/colrm.1*
%{_mandir}/man1/column.1*
%{_mandir}/man1/eject.1*
%{_mandir}/man1/flock.1*
%{_mandir}/man1/fallocate.1*
%{_mandir}/man1/getopt.1*
%{_mandir}/man1/hexdump.1*
%{_mandir}/man1/kill.1*
%{_mandir}/man1/logger.1*
%{_mandir}/man1/login.1*
%{_mandir}/man1/look.1*
%{_mandir}/man1/mcookie.1*
%{_mandir}/man1/more.1*
%{_mandir}/man1/namei.1*
%{_mandir}/man1/prlimit.1*
%{_mandir}/man1/rename.1*
%{_mandir}/man1/rev.1*
%{_mandir}/man1/script.1*
%{_mandir}/man1/setterm.1*
%{_mandir}/man1/su.1*
%{_mandir}/man1/tailf.1*
%{_mandir}/man1/ul.1*
%{_mandir}/man1/uuidgen.1*
%{_mandir}/man1/unshare.1*
%{_mandir}/man1/utmpdump.1*
%{_mandir}/man1/whereis.1*
%{_mandir}/man1/write.1*
%{_mandir}/man1/chrt.1*
%{_mandir}/man1/ionice.1*
%{_mandir}/man1/taskset.1*
%{_mandir}/man1/renice.1*
%{_mandir}/man1/ipcrm.1*
%{_mandir}/man1/ipcs.1*
%{_mandir}/man1/setsid.1*
%{_mandir}/man1/dmesg.1*
%{_mandir}/man1/ipcmk.1*
%{_mandir}/man1/lscpu.1*
%{_mandir}/man1/lslogins.1*
%{_mandir}/man1/lsipc.1*
%{_mandir}/man3/uuid_generate_time_safe.3*
%{_mandir}/man8/blockdev.8*
%{_mandir}/man8/blkdiscard.8*
%{_mandir}/man8/blkid.8*
%{_mandir}/man8/chcpu.8*
%{_mandir}/man8/ctrlaltdel.8*
%{_mandir}/man8/fdformat.8*
%{_mandir}/man8/findfs.8*
%{_mandir}/man8/fsck.8*
%{_mandir}/man8/isosize.8*
%{_mandir}/man8/lslocks.8*
%{_mandir}/man8/mkfs.8*
%{_mandir}/man8/mkswap.8*
%{_mandir}/man8/pivot_root.8*
%{_mandir}/man1/runuser.1*
%{_mandir}/man8/readprofile.8*
%if %{include_raw}
%{_mandir}/man8/raw.8*
%{_mandir}/man8/rawdevices.8*
%endif
%{_mandir}/man8/resizepart.8*
%{_mandir}/man8/tunelp.8*
%{_mandir}/man8/setarch.8*
%{_mandir}/man8/sulogin.8*
%{_mandir}/man8/rtcwake.8*
%{_mandir}/man8/ldattach.8*
%{_mandir}/man8/wipefs.8*
%{_mandir}/man8/wdctl.8*
%{_mandir}/man8/fsck.minix.8*
%{_mandir}/man8/mkfs.minix.8*

%{_mandir}/man5/fstab.5*
%{_mandir}/man5/terminal-colors.d.5*
%{_mandir}/man8/mount.8*
%{_mandir}/man8/swapoff.8*
%{_mandir}/man8/swapon.8*
%{_mandir}/man8/switch_root.8*
%{_mandir}/man8/umount.8*
%{_mandir}/man8/losetup.8*

%{_datadir}/bash-completion/completions/*
%exclude %{_datadir}/bash-completion/completions/uuidd

%files -n uuidd
%{_initrddir}/uuidd
%{_mandir}/man8/uuidd.8*
%attr(-, uuidd, uuidd) %{_sbindir}/uuidd
%dir %attr(2775, uuidd, uuidd) /var/lib/libuuid
%{_datadir}/bash-completion/completions/uuidd

%files -n python-libmount
%{python_sitearch}/libmount/*

%files -n %{lib_blkid}
%dir /etc/blkid
/%{_lib}/libblkid.so.%{lib_blkid_major}*

%files -n %{lib_blkid_devel}
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libblkid.a
%endif
%{_libdir}/libblkid.so
%{_includedir}/blkid
%{_mandir}/man3/libblkid.3*
%{_libdir}/pkgconfig/blkid.pc

%files -n %{lib_uuid}
/%{_lib}/libuuid.so.%{lib_uuid_major}*

%files -n %{lib_uuid_devel}
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libuuid.a
%endif
%{_libdir}/libuuid.so
%{_includedir}/uuid
%{_mandir}/man3/uuid.3*
%{_mandir}/man3/uuid_clear.3*
%{_mandir}/man3/uuid_compare.3*
%{_mandir}/man3/uuid_copy.3*
%{_mandir}/man3/uuid_generate.3*
%{_mandir}/man3/uuid_generate_random.3*
%{_mandir}/man3/uuid_generate_time.3*
%{_mandir}/man3/uuid_is_null.3*
%{_mandir}/man3/uuid_parse.3*
%{_mandir}/man3/uuid_time.3*
%{_mandir}/man3/uuid_unparse.3*
%{_libdir}/pkgconfig/uuid.pc

%files -n %{lib_mount}
/%{_lib}/libmount.so.%{lib_mount_major}*

%files -n %{lib_mount_devel}
%{_includedir}/libmount
%{_libdir}/libmount.so
%{_libdir}/pkgconfig/mount.pc

%files -n %{lib_smartcols}
/%{_lib}/libsmartcols.so.%{lib_smartcols_major}*

%files -n %{lib_smartcols_devel}
%{_includedir}/libsmartcols
%{_libdir}/libsmartcols.so
%{_libdir}/pkgconfig/smartcols.pc

%files -n %{lib_fdisk}
/%{_lib}/libfdisk.so.%{lib_fdisk_major}*

%files -n %{lib_fdisk_devel}
%{_includedir}/libfdisk
%{_libdir}/libfdisk.so
%{_libdir}/pkgconfig/fdisk.pc


%changelog
* Tue Nov 03 2015 bb <bb> 2.27.1-1pclos2015
- update

* Sat Sep 26 2015 bb <bb> 2.27-3pclos2015
- add requires iso9660_7

* Sat Sep 19 2015 bb <bb> 2.27-2pclos2015
- add ingnore rootfs patch

* Sat Sep 05 2015 bb <bb> 2.27-1pclos2015
- update

* Tue Aug 18 2015 bb <bb> 2.25.2-1pclos2015
- update 

* Tue Feb 24 2015 bb <bb> 2.22.2-4pclos2015
- rebuild new glibc

* Sat Jun 08 2013 Texstar <texstar at gmail.com> 2.22.2-3pclos2013
- temp fix uuidd /var/uuidd missing
- exclude mountpoint sulogin and utmpdump as these are in sysinit-tools
- and sysinit-tools is required by initscripts


